> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apitally.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Endpoints

> List API endpoints for an app. Ordered by path and method.



## OpenAPI

````yaml https://api.apitally.io/openapi.json get /v1/apps/{app_id}/endpoints
openapi: 3.1.0
info:
  title: Apitally API
  version: 1.0.0
servers:
  - url: https://api.apitally.io
security: []
paths:
  /v1/apps/{app_id}/endpoints:
    get:
      tags:
        - Endpoints
      summary: List Endpoints
      description: List API endpoints for an app. Ordered by path and method.
      operationId: list_endpoints_v1_apps__app_id__endpoints_get
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: integer
            minimum: 1
            description: App ID
            title: App Id
          description: App ID
        - name: app_env_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            description: Filter to environment ID, if provided.
            title: App Env Id
          description: Filter to environment ID, if provided.
        - name: method
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 64
              - type: 'null'
            description: Filter to HTTP method(s), comma-separated.
            examples:
              - GET,POST
            title: Method
          description: Filter to HTTP method(s), comma-separated.
        - name: path
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 1024
              - type: 'null'
            description: Filter to path pattern, supports wildcards (*).
            examples:
              - /api/v1/*
            title: Path
          description: Filter to path pattern, supports wildcards (*).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEndpointsResponse'
        '404':
          description: App Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ListEndpointsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/EndpointItem'
          type: array
          title: Data
          description: List of endpoints.
      type: object
      required:
        - data
      title: ListEndpointsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EndpointItem:
      properties:
        id:
          type: integer
          title: Id
          description: Endpoint ID
          examples:
            - 1
            - 2
        method:
          type: string
          title: Method
          description: HTTP method
          examples:
            - GET
            - POST
        path:
          type: string
          title: Path
          description: Endpoint path
          examples:
            - /v1/users
            - /v1/users/{user_id}
      type: object
      required:
        - id
        - method
        - path
      title: EndpointItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````